Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: olivierdcorrection des objectifs - Olympus OMD E-M1 MarK2
#1
Bonjour,
Je viens de passer d'un boîtier Olympus OMD E-M5 à un boîtier Olympus OMD-E-M1 Mark2.
La correction des objectifs était bien reconnue et très efficace notamment sur les focales courtes sur le E-M5.
Le boîtier et les objectifs semblent être reconnus sur les fichiers RAW pris avec l'E-M1, mais aucune correction d'objectif n'est appliquée.

Ma configuration :
Debian 9.4
DT2.4.3

Boîtier Olympus OMD E-M1 MarkII - firmware 2.1
Objectif 12-40 f2.8 pro - firmware 1.2

Merci d'avance pour vos idées.
Répondre
#2
Quelques Raw en téléchargement pour que l'on voit si on a une explication ?
Répondre
#3
Quel système d'exploitation et quelle version ? Quelle version de darktable ?

Oops ! Pas vu que la réponse était dans la fin de la question. Désolé :-(. Je laisse la main aux spécialistes Debian... Probablement un éternel problème de librairie Lensfun plus ou moins à jou ou plus ou moins incompatible avec DT.... >:-(
Mes photos : jpverrue.fr
Répondre
#4
Merci pour vos réponses.
Effectivement il doit s'agir d'un problème spécifique à Debian.
En effet je vient de tester sur une configuration Windows 10 avec la même version de DT ou la correction des objectifs se fait correctement.
Je vais creuser le sujet de la librairie Lensfun et tenter ma chance sur un forum Debian.
Merci encore.
Répondre
#5
Peut-être avec la commande :

Code :
sudo lensfun-update-data
Répondre
#6
Je pense que c"est Darktable qui ne lit pas correctement le fichier de configuration des objectifs.
en effet quand je visualise les fichiers raws avec la visionneuse gThumb, les corrections sont appliquées.
à suivre...
Répondre
#7
Comment tu visualises les Raw avec gThumb ?

Je viens de chercher pour visualiser les Raw avec gThumb. Si j'ai bien compris, il ne présente pas le Raw mais la miniature qui y est embraquée. Donc c'est tout à fait normal que tu vois la photo corrigée car c'est un JPeg que tu visualises.
Répondre
#8
Problème résolu.
Après pas mal de recherches et surtout d'essais infructueux.

En fait il faut effectivement bien lancer la commande

Code :
lensfun-update-data
en tant que root
Cette commande fait la mise à jour des données lensfun sur le site de lensfun.souceforge.net.
La seule chose c'est que cette commande n'a pu s'exécuter qu’après l'installation du paquet liblensbun.bin qui n’était pas installé sur ma Debian Stretch.
Merci encore à tous qui m'avez mis sur la voie.
Répondre
#9
Effectivement comme sur Ubuntu Gnome 18.04, pour info, il faut activer les paquets lensfun.
Canon EOS 80D.
Linus Ubuntu 18.04 LTS Gnome / Darktable / Gimp.
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)